import { AppViewManager, ElementRef, OnInit, OnDestroy } from 'angular2/core';
import { Http, Response } from 'angular2/http';
import { Observable } from 'rxjs/Observable';
import { Subject } from 'rxjs/Subject';
export { Response } from 'angular2/http';
export interface Sourcable {
    sourceLoading: () => void;
    sourceError: (string) => void;
    sourceReceived: (Response) => void;
}
export declare class SrcDirective implements OnInit, OnDestroy {
    private _element;
    private _viewManager;
    private _http;
    host: Sourcable;
    src: string;
    constructor(_element: ElementRef, _viewManager: AppViewManager, _http: Http);
    ngOnInit(): void;
    debounceTime: any;
    _debounceTime: number;
    sourceChanged: Subject<string>;
    _subscription: any;
    _handleSourceChanges(): void;
    ngOnDestroy(): void;
    _emptySources(source: any): boolean;
    _addExtensionMatches(source: any): {
        source: any;
        extMatches: any;
    };
    _nonFiles(req: any): boolean;
    _fetchSrc(req: any): Observable<Response>;
    _handleResponseError(error: any): void;
}
